org.jbpm.executor.impl

## Class AvailableJobsExecutor

- java.lang.Object
- - org.jbpm.executor.impl.AvailableJobsExecutor

-     public class AvailableJobsExecutor
      extends Object

  Heart of the executor component - executes the actual tasks. Handles retries and error management. Based on results of execution notifies defined callbacks about the execution results.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvailableJobsExecutor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContextData(String name, Object data)`
    `void` | `executeJob()`
    `protected ClassLoader` | `getClassLoader(String deploymentId)`
    `void` | `setClassCacheManager(ClassCacheManager classCacheManager)`
    `void` | `setExecutorStoreService(org.kie.internal.executor.api.ExecutorStoreService executorStoreService)`
    `void` | `setQueryService(org.kie.internal.executor.api.ExecutorQueryService queryService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvailableJobsExecutor

          public AvailableJobsExecutor()

  - ### Method Detail

    - #### setQueryService

          public void setQueryService(org.kie.internal.executor.api.ExecutorQueryService queryService)

    - #### setClassCacheManager

          public void setClassCacheManager(ClassCacheManager classCacheManager)

    - #### setExecutorStoreService

          public void setExecutorStoreService(org.kie.internal.executor.api.ExecutorStoreService executorStoreService)

    - #### executeJob

          public void executeJob()

    - #### getClassLoader

          protected ClassLoader getClassLoader(String deploymentId)

    - #### addContextData

          public void addContextData(String name,
                            Object data)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.